<xml> </xml>

db4o |

# com.db4o.io Namespace

Input/Output abstraction layer.

Namespace hierarchy

### Classes

Class | Description
--- | ---
IoAdapter | Base class for database file adapters, both for file and memory databases.
MemoryIoAdapter | IoAdapter for in-memory operation.
RandomAccessFileAdapter | IO adapter for random access files.

SymbianIoAdapter

Workaround for two I/O bugs in Symbian JDK versions:
- seek() cannot move beyond the current file length.
Fix: Write padding bytes up to the seek target if necessary
- Under certain (rare) conditions, calls to RAF.length() seems to garble up following reads.
Fix: Use a second RAF handle to the file for length() calls only.
Usage:
Db4o.configure().io(new com.db4o.io.SymbianIoAdapter())
TODO:
- BasicClusterTest C/S fails (in AllTests context only)

VanillaIoAdapter | base class for IoAdapters that delegate to other IoAdapters (decorator pattern)